package com.pcloud.common.utils.solr;

import java.io.Serializable;
import java.util.List;

/**
 * Description solr查询结果
 * @author PENG
 * @date 2018/4/24
 */
public class SolrResult implements Serializable {

    private static final long serialVersionUID = 1195918725820896691L;

    /**
     * 查询结果数量
     */
    private Integer totalCount;

    /**
     * 最大得分
     */
    private Float maxScore;

    /**
     * 查询结果列表
     */
    private List<SolrDto> list;

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Float getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Float maxScore) {
        this.maxScore = maxScore;
    }

    public List<SolrDto> getList() {
        return list;
    }

    public void setList(List<SolrDto> list) {
        this.list = list;
    }

    @Override
    public String toString() {
        return "SolrResult{" +
                "totalCount=" + totalCount +
                ", maxScore=" + maxScore +
                ", list=" + list +
                '}';
    }
}
